tenant: resetTenantOnboardingStatus
命名空间:microsoft.graph.managedTenants
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
执行适当的过程以重置使用 offboardTenant 操作从多租户管理平台中删除的托管租户的载入状态。 通过调用此操作,平台将尝试载入托管租户进行管理。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | ManagedTenants.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 不支持。 |
HTTP 请求
POST /tenantRelationships/managedTenants/tenants/{tenantId}/resetTenantOnboardingStatus
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此操作在响应正文中返回 响应代码 200 OK 和租户。
示例
请求
POST https://graph.microsoft.com/beta/tenantRelationships/managedTenants/tenants/{tenantId}/resetTenantOnboardingStatus
响应
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-Type: application/json
{
"@odata.type": "#microsoft.graph.managedTenants.tenant",
"id": "34298981-4fc8-4974-9486-c8909ed1521b",
"tenantId": "34298981-4fc8-4974-9486-c8909ed1521b",
"contract": {
"displayName": "Fourth Coffee",
"defaultDomainName": "fourthcoffe001.onmicrosoft.com",
"contractType": 2
},
"tenantStatusInformation": {
"onboardingStatus": "inactive",
"onboardingDateTime": "2012-02-20T00:00:00Z",
"onboardedByUserId": "",
"offboardedDateTime": "2012-02-20T00:00:00Z",
"offboardedBy": "",
"delegatedPrivilegeStatus": "delegatedAdminPrivileges",
"workloadStatuses": []
},
"createdDateTime": "2012-02-20T00:00:00Z",
"lastUpdatedDatetime": "2021-02-20T00:00:00Z"
}
反馈
提交和查看相关反馈